package base;

/**
 * This class keeps the state of the authentication procedure
 * @author Hvard Holje
 * @since 9, May 2007
 */
public class AuthenticationSession {
	private boolean pinValidated;
	private String IMSI;
	private String SRES;
	private String Kc;

	/**
	 * Constructor
	 */
	public AuthenticationSession() {}
	
	/**
	 * @return boolean pinValidated
	 */
	public boolean isPinValidated() {
		return pinValidated;
	}
	
	/**
	 * @return String IMSI
	 */
	public String getIMSI() {
		return IMSI;
	}
	
	/**
	 * @return String SRES
	 */
	public String getSRES() {
		return SRES;
	}
	
	/**
	 * @return String Kc
	 */
	public String getKc() {
		return Kc;
	}
	
	/**
	 * Sets pinValidated to true
	 */
	public void setPinValidated() {
		pinValidated = true;
	}

	/**
	 * @param String IMSI
	 */
	public void setIMSI(String IMSI) {
		this.IMSI = IMSI;
	}

	/**
	 * @param String SRES
	 */
	public void setSRES(String SRES) {
		this.SRES = SRES;
	}
	
	public void setKc(String Kc) {
		this.Kc = Kc;
	}
}

